Skip to main content

Update Admin (v1)

Update an admin account.

Method & Path​

PATCH /v1/admin/admins/:adminId

Description​

Updates an existing admin account. At least one field must be provided.

Authentication​

Required: Admin authentication with admins.manage permission.

Path Parameters​

ParameterTypeRequiredDescription
adminIdstringYesThe admin ID

Request Body​

{
"role": "support",
"status": "inactive"
}

Response 200 OK​

{
"admin": {
"id": "507f1f77bcf86cd799439011",
"email": "admin@example.com",
"role": "support",
"status": "inactive"
}
}

Common Errors​

  • 401 Unauthorized: Missing or invalid admin authentication token
  • 403 Forbidden: Insufficient permissions
  • 404 Not Found: Admin not found
  • 400 Bad Request: Invalid request body
  • 500 Internal Server Error: Server error